Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511259 - Add monitoring of Kill Switch
Summary: Add monitoring of Kill Switch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 4.4
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 01:54 UTC by Philip Gunter
Modified: 2018-12-09 06:29 UTC (History)
1 user (show)

Fixed In Version: 4.4.12077.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 00:55:45 UTC


Attachments (Terms of Use)
perl script to monitor killswitch status (deleted)
2017-11-09 01:54 UTC, Philip Gunter
no flags Details

Description Philip Gunter 2017-11-09 01:54:05 UTC
Created attachment 1349676 [details]
perl script to monitor killswitch status

it is currently possible for the Kill Switch to be active for extended periods as there is no notification to SysOps. I'd like to add the attached script to the build (/usr/share/rh-bugzilla/scripts/). We can then use this from Zabbix to monitor the status.

Comment 1 Rony Gong 🔥 2018-01-15 09:12:21 UTC
Tested on QA environment(4.4.12077-1)
Result: Pass
Steps
1.Execute this script:
[root@bzweb redhat]# su -  apache -s /bin/bash -c /usr/share/rh-bugzilla/scripts/killswitch_monitor.pl 
Status: 0


Note You need to log in before you can comment on or make changes to this bug.